Wind River Support Network

HomeDefectsLIN10-2008
Fixed

LIN10-2008 : Security Advisory - libarchive - CVE-2017-14503

Created: Sep 26, 2017    Updated: Dec 3, 2018
Resolved Date: Sep 3, 2018
Found In Version: 10.17.41.1
Fix Version: 10.17.41.11
Severity: Standard
Applicable for: Wind River Linux LTS 17
Component/s: Userspace

Description

libarchive 3.3.2 suffers from an out-of-bounds read within lha_read_data_none() in archive_read_support_format_lha.c when extracting a specially crafted lha archive, related to lha_crc16.

https://nvd.nist.gov/vuln/detail/CVE-2017-14503

Other Downloads


Live chat
Online